## ros-melodic-tts 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tts)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs message_generation rospy rosunit std_msgs sound_play)

catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate services in the 'srv' folder
add_service_files(FILES Synthesizer.srv Polly.srv)

## Generate actions in the 'action' folder
add_action_files(FILES Speech.action)

## Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  LIBRARIES tts
  CATKIN_DEPENDS actionlib_msgs message_runtime rospy std_msgs
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  scripts/polly_node.py
  scripts/synthesizer_node.py
  scripts/tts_node.py
  scripts/voicer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
  config
  launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  ## Add folders to be run by python nosetests
  catkin_add_nosetests(test/test_unit_synthesizer.py)
  catkin_add_nosetests(test/test_unit_polly.py)
  
  if(BUILD_AWS_TESTING)
      find_package(rostest REQUIRED COMPONENTS tts)
      add_rostest(test/integration_tests.test DEPENDENCIES ${tts_EXPORTED_TARGETS})
  endif()
endif()

=== debian/changelog ===
ros-melodic-tts (1.0.2-1bionic) bionic; urgency=high

  * update changelog to be compatible with catkin_generate_changelog (#28 <https://github.com/aws-robotics/tts-ros1/issues/28>)
    Signed-off-by: y² <mailto:forresty@amazon.com>
  * increment patch version (#27 <https://github.com/aws-robotics/tts-ros1/issues/27>)
    Signed-off-by: y² <mailto:forresty@amazon.com>
  * Release 1.0.1 (#9 <https://github.com/aws-robotics/tts-ros1/issues/9>)
    * Release 1.0.1
    * 1.0.1
  * Merge pull request #2 <https://github.com/aws-robotics/tts-ros1/issues/2> from yyu/fix
    no assert_called() for older versions of mock
  * no assert_called() for older versions of mock
  * remove rostest from top level find_package (#1 <https://github.com/aws-robotics/tts-ros1/issues/1>)
    It's conditionally found in the testing section only so it's only a test_depend
  * Contributors: AAlon, M. M, Tully Foote, Yuan "Forrest" Yu, y²

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 01 Aug 2019 07:00:00 -0000

ros-melodic-tts (1.0.1-1bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/aws-robotics/tts-ros1/issues/2> from yyu/fix
    no assert_called() for older versions of mock
  * no assert_called() for older versions of mock
  * remove rostest from top level find_package (#1 <https://github.com/aws-robotics/tts-ros1/issues/1>)
    It's conditionally found in the testing section only so it's only a test_depend
  * Contributors: Tully Foote, Yuan "Forrest" Yu, y²

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000

ros-melodic-tts (1.0.0-1bionic) bionic; urgency=high



 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-tts
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), python-boto3, python-mock, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-sound-play, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/tts
Standards-Version: 3.9.2

Package: ros-melodic-tts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-boto3, ros-melodic-actionlib-msgs, ros-melodic-message-runtime, ros-melodic-rospy, ros-melodic-sound-play, ros-melodic-std-msgs
Description: Package enabling a robot to speak with a human voice by providing a Text-To-Speech ROS service

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-tts//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
